<!doctype html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport"
        content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Full-screen API</title>
</head>

<style>
  #text {
    background-color: #fff;
  }
</style>
<body>
<p id="text">
  Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ab aspernatur aut
  eaque ex odit quas quo sapiente sunt totam vero. Accusantium commodi explicabo
  iste minus neque non ratione repudiandae tempore.

  <button class="button">Full screen</button>
</p>

<p>
  <span>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Commodi cum
  dicta dolore, doloremque eligendi esse facilis illo incidunt labore minus
  nam nihil odio possimus quasi quisquam quo quos rerum temporibus.</span><span>Ab
  dignissimos enim eveniet facilis minus nam odio officiis porro quae quam quas
  ratione repudiandae, saepe sapiente similique soluta sunt veritatis voluptatem.
  Ad aliquam et ipsam quos recusandae? Deserunt, reiciendis!</span><span>At culpa
  dicta doloremque, eligendi et expedita iure laborum magnam officia provident
  quia repudiandae, ut veritatis. Aperiam deleniti hic ipsam labore quasi rem
  temporibus vel voluptatem? Ad itaque iusto laudantium.</span><span>Aperiam
  cum doloremque doloribus earum expedita explicabo id in incidunt ipsam iste itaque
  iure minus molestias mollitia odit officiis perspiciatis, placeat quam quos rem
  sed sit voluptates voluptatibus! Distinctio, nulla.</span><span>Aliquam aperiam
  assumenda at consequatur corporis cum dolorum ea earum eius eligendi est maxime,
  nostrum officiis, porro sequi sunt totam veniam, voluptate. Ad ex praesentium
  quidem ratione reiciendis temporibus vitae!</span>
</p>

<script>
  const elem = document.getElementById("text");

  function toggleFullscreen() {
    if (!document.fullscreenElement) {
      elem.requestFullscreen().catch(err => {
        alert(`Error attempting to enable full-screen mode: ${err.message} (${err.name})`);
      });
    } else {
      document.exitFullscreen().then(() => {}).catch(() => {});
    }
  }

  document.querySelector('.button').addEventListener('click', toggleFullscreen)

  elem.addEventListener('fullscreenchange', event => {
    if (document.fullscreenElement) {
      console.log(`Element: ${document.fullscreenElement.id} entered full-screen mode.`);
    } else {
      console.log('Leaving full-screen mode.');
    }
  })

/*  setInterval(() => {
    toggleFullscreen()
  }, 5000);*/
</script>
</body>
</html>
